To remove "IF" : assume that excel it's allready opened or create one .
To remove "while" , i presume that columns will always be X , Y, Z ?
Dim i As Integer
For i = 2 To rowsnum
x = osheet.Cells(i, 1).Value
y = osheet.Cells(i, 2).Value
z = osheet.Cells(i, 3).Value
Set opoint =...
The silence means the answer is there somewhere , or eveyone is on holiday ? [smile]
For vs one i think the reference path will do the trick , but i got in another problem with accessing the v5 aplication , that one i think is not an easy fix . For integrated vba in v5 did not found yet any...
Hi
Could someone point me please what is wrong with catia libaries , will explain a little more the problem i got below .
So i have couple of CATIA versions installed on my machine : V5 ,3DX . I noticed that either in integrated V5 VBA or when using VS for automation if i have both 3dx and v5...
First time i made a code in C# but challenge accepted :
{
PartDocument partDocument1 = (PartDocument)catia.ActiveDocument;
Document partDocument = (Document)partDocument1;
Selection osel2 = (Selection)partDocument.Selection;
string status2...
How i see this :
If you want to findout nr. of all of your edges, use this : Selection.Search ("Topology.CGMEdge,all")
If you need for a specific face :
1 : if it's a face of a solid you need to use that face as a reference - make an extract-add to selection that surface and use...
Strange ... It looks like X = 0 when the line is first time drawn and Y is taken from blue axis. This means your line was moved from original drawn position.
Try to use TheGeom.startpoint and getcoordinates from point as a workaround.
There is setting in catia if you want to save all sheets in one pdf : tools- options- compatibillity- graphic formats - save in single vectorial file .